Ignite 4.1 and Vegas Pro 18 (not here yet)

In all seriousness: If I now upgrade to Ignite 4.1 (because 4.0 was no longer working with VP17) -

Can I expect Ignite 4.1 to be working with a future release VP18, under the circumstances that I could expect any generic OFX plugin to work,

Or is Ignite 4.1 version locked to VP17 maximum and is by default designed not to accept a future host like VP18?

 

Comments

  • @AVsupport - Thanks for your post & let me first of all say that I completely understand where your concerns are coming from.

    No, Ignite is not host locked, I don't believe we have ever done something like that. What happened with Ignite and the release of Vegas 17 was a very unique event that is very unlikely (but not impossible) to happen again when / if Vegas Pro 18 comes out.  We always do our very best to try to preemptively stop these issues getting to our users, sadly on this occasion we fell short and we must learn from it.

    Thank you for taking the time to post your concerns to us, we promise to do better next time. 

  • @Ady, thanks for clarifying and putting my concerns at ease.

    I hope you don't mind me posting your reply on the Vegas forum where exactly this issue is being discussed.

    Appreciate your attitude ;-)

This discussion has been closed.